#
# spec file for package ft2demos (Version 2.1.10)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           ft2demos
BuildRequires:  xorg-x11-devel
License:        GPL
Group:          Productivity/Publishing/Other
Autoreqprov:    on
Version:        2.1.10
Release:        19.6
%define freetype_version 2.1.10
URL:            http://www.freetype.org
Summary:        Freetype2 Utilities and Demo Programs
Source0:        http://savannah.nongnu.org/download/freetype/freetype-2.1.10.tar.bz2
NoSource:       0
Source1:        http://savannah.nongnu.org/download/freetype/ft2demos-2.1.10.tar.bz2
Patch0:         bugzilla-97202-fix-x-crash.patch
Patch1:         enable_ft_optimize_memory.patch
Patch3:         freetype2-bitmap-foundry.patch
Patch4:         ft2-stream-compat.diff
# CJK autofit from upstream CVS
Patch5:         bugzilla-157441-autofit-cjk-cvs.patch
Patch6:         bugzilla-158156-memory-leak.patch
Patch7:         bugzilla-158573-fix-orientation-detection.patch
Patch8:         bugzilla-159166-reduce-embolden-distance.patch
Patch9:         bugzilla-190902-handle-malformed-pcf-files.patch
Patch10:        bugzilla-154928-integer-overflows.patch
Patch50:        bugzilla-159304-fix-ftview-glyph-index.patch
Patch100:       freetype2-bc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Freetype2 utilities and demo programs.



Authors:
--------
    David Turner <david.turner@freetype.org>
    Robert Wilhelm <robert.wilhelm@freetype.org>
    Werner Lemberg <werner.lemberg@freetype.org>

%prep
%setup -n freetype-%{freetype_version} -b 1
%patch0 -p 0
#%patch1 -p 1 -b .enable_ft_optimize_memory
%patch3 -p 1 -b .bitmap-foundry
%patch4 -p 1 -b .ft2-stream-compat
%patch5 -p 1
%patch6 -p 1
%patch7 -p 1
%patch8 -p 1
%patch9 -p 1
%patch10 -p 1
pushd ../ft2demos-%{version}
%patch50 -p 1
popd
# The byte code interpreter is compiled in by default
# because of the following patch ('%patch100').
# For most fonts it is disabled again by default in the
# fontconfig setup in /etc/fonts. But if it is already 
# enabled at compilation time, it can be easily enabled
# at runtime. See also the variable BYTECODE_BW_MAX_PIXEL
# in /etc/sysconfig/fonts-config.
#
%patch100 -p 1 -b .bytecode
find . -name ".cvsignore" | xargs rm -f
%{?suse_update_config:%{suse_update_config -f}}
export CFLAGS="$RPM_OPT_FLAGS -g -fno-strict-aliasing "
make setup CFG="--prefix=/usr --libdir=%{_libdir} --with-zlib"

%build
export CFLAGS="$RPM_OPT_FLAGS -g -fno-strict-aliasing "
make prefix=/usr libdir=%{_libdir} %{?jobs:-j %jobs}
pushd ..
    ln -s freetype-%{freetype_version} freetype2
    cd ft2demos-%{version}
    make prefix=/usr libdir=%{_libdir} \
         X11_PATH="/usr/X11R6" \
         LDFLAGS="-L/usr/X11R6/%{_lib} -lm "
popd

%install
rm -rf $RPM_BUILD_ROOT;
#make prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/%{_libdir} install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
pushd ../ft2demos-%{version}/bin/.libs
    install -m 755 ft* testname $RPM_BUILD_ROOT%{_bindir}
popd

%clean
rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%{_bindir}/ft*
%{_bindir}/testname

%changelog -n ft2demos
* Mon Jul 24 2006 - mfabian@suse.de
- Bugzilla #190902: handle malformed pcf files.
* Thu Jun 01 2006 - mfabian@suse.de
- Bugzilla #154928: fix several integer overflows.
* Tue Mar 21 2006 - dmueller@suse.de
- build parallel
* Mon Mar 20 2006 - zsu@suse.de
- Bugzilla #158573: fix corrupt embolden glyphs issue for CJK fonts.
- Bugzilla #159166: reduce embolden strength to get better rendering
  effect.
- Bugzilla #159304: fix wrong glyph index handling in ftview when
  rendering embolden or outline mode.
* Wed Mar 15 2006 - mfabian@suse.de
- Bugzilla #157441:  remove 0x0100-0xFFFF from CJK Unicode range,
  as it might cause side effects for non-CJK scripts.
* Wed Mar 15 2006 - mfabian@suse.de
- Bugzilla #158156: fix a memory leak (by Zhe Su <zsu@novell.com>).
* Tue Mar 14 2006 - mfabian@suse.de
- Bugzilla #157441: instead of Takashi's patches, use a patch
  from upstream CVS which renders slightly better.
* Tue Mar 14 2006 - mfabian@suse.de
- Bugzilla #157441: FZSongTi.ttf contains a lot more (CJK)-glyphs
  than most other fonts, therefore we have to expand the cjk range
  in Takashi Iwai's "ft2-autofit-02-cjk.diff" to render these
  glyphs correctly as well.
- Bugzilla #157441: don't apply ft2-autofit-03-latin-baseline.diff
  as it has some side effects.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 09 2006 - mfabian@suse.de
- Bugzilla #105626: add patches by Takashi IWAI <tiwai@suse.de>
  to improve the autohinting (mainly for CJK fonts).
* Thu Jul 21 2005 - mfabian@suse.de
- fix typo in .spec file.
* Wed Jul 20 2005 - mfabian@suse.de
- Bugzilla #97202: apply workaround to avoid crashing the Xserver.
  I need to disable FT_OPTIMIZE_MEMORY again to apply that
  workaround.
* Tue Jul 19 2005 - mfabian@suse.de
- enable FT_OPTIMIZE_MEMORY.
- enable the byte code interpreter again.
* Tue Jul 12 2005 - mfabian@suse.de
- update to 2.1.10.
  + fixes serious bug introduced in 2.1.8 which caused many
  distortions for TrueType fonts
  + amount of heap memory used is drastically reduced
  For more details see /usr/share/doc/packages/freetype2/CHANGES.
- disable freetype-autohint-cjkfonts.patch for the moment, the
  auto-hinter has been replaced with a new module called the
  'auto-fitter' which is "prepared better to support non-latin1
  scripts in next releases". Currently the rendering quality of
  CJK fonts seems to have suffered though compared to 2.1.9
  with the freetype-autohint-cjkfonts.patch.
* Mon Jul 04 2005 - meissner@suse.de
- use system zlib.
* Tue Jul 06 2004 - mfabian@suse.de
- update to 2.1.9.
* Mon May 10 2004 - mfabian@suse.de
- update to 2.1.8.
  remove the bdf-pcf fixes for bitmap font metric issues which
  were backported from CVS, they are included in this release
* Fri Apr 16 2004 - mfabian@suse.de
- Bugzilla #38205:
  add patch from http://www.kde.gr.jp/~akito/patch/freetype2/2.1.7
  to improve the hinting results (mainly for CJK fonts).
* Wed Mar 24 2004 - mfabian@suse.de
- Add ft2-stream-compat.diff for binary compatibility when
  upgrading from SLES8 to SLES9.
  The FT_Stream functions have been renamed and although these
  functions were declared for internal use only by the freetype
  developers, they have been used in Qt (and possibly elsewhere).
  Therefore, 3rd party which linked statically against Qt might
  not work after upgrading from SLES8 to SLES9.
  Fix this problem with a patch by Kurt Garloff <garloff@suse.de>
  which defines appropriate weak symbols.
* Tue Mar 16 2004 - mfabian@suse.de
- fix Bugzilla# 36143: backport fixes for bitmap font metric issues
  from CVS to fix  crashes when using bitmap fonts caused by the
  new libXft-2.1.5 from the X.org tree.
* Mon Mar 15 2004 - mfabian@suse.de
- mark freetype2 tarball as Nosource, it is already in the source
  rpm of the main freetype2 package.
* Mon Jan 12 2004 - adrian@suse.de
- add %%defattr
* Fri Jan 09 2004 - mfabian@suse.de
- add "-fno-strict-aliasing" compile option to prevent crashes
  for example in ftdump and mkfontscale.
* Wed Dec 17 2003 - mfabian@suse.de
- update to 2.1.7.
- remove freetype2-type1.patch (included upstream)
* Thu Oct 09 2003 - schwab@suse.de
- Fix invalid free.
* Fri Sep 26 2003 - mfabian@suse.de
- update to 2.1.5.
- remove freetype-bdf-pcf-drivr.patch, freetype2-bitmap-style.patch
  (included upstream).
- remove gzip-eof.patch.
* Mon Sep 01 2003 - mfabian@suse.de
- add gzip-eof.patch to fix the problem that some gzipped bitmap
  fonts could not be opened by freetype2.
  See also:
  http://marc.theaimsgroup.com/?l=freetype-devel&m=105505219505600&w=2
  and followups.
* Tue Aug 26 2003 - mfabian@suse.de
- add freetype2-bitmap-style.patch: check the bdf properties
  WEIGHT_NAME and SLANT case insensitively. Without that,
  these properties are not correctly recognized when the fonts
  specify them in lower case.
* Fri May 16 2003 - mfabian@suse.de
- don't install files which will not be packaged.
* Tue Apr 08 2003 - mfabian@suse.de
- update to 2.1.4
* Fri Apr 04 2003 - mfabian@suse.de
- freetype updated to 2.1.4rc2
* Fri Mar 07 2003 - mfabian@suse.de
- Bug #24755: further improvement: add " Wide" to the family name
  for fonts which have an average width >= point size, i.e. fonts
  which have glyphs which are at least square (or maybe even
  wider). This makes fonts which contain only double width
  characters (for example the "misc-fixed" 18x18ja.bdf) clearly
  distinct from single width fonts of the same family and
  avoids that they get accidentally selected via freetype2/Xft2.
* Fri Mar 07 2003 - mfabian@suse.de
- Bug #24775: partly fixed by a patch to freetype which returns
  "FOUNDRY FAMILY_NAME" as the family_name for bitmap fonts.
  Without that change, all bitmap fonts which have "Fixed"
  in FAMILY_NAME also had the same family_name "Fixed" via
  freetype/Xft2 and it was not possible to distinguish between
  them, therefore the selection of "Fixed" bitmap fonts produced
  quite surprising results. After this change, the fonts show
  up for example as "Misc Fixed", "Etl Fixed", etc. via
  freetype2/Xft2, which makes it easy to select the right one.
* Wed Jan 29 2003 - mfabian@suse.de
- add freetype2-bc.patch
* Sat Jan 25 2003 - mfabian@suse.de
- use the original names for the utilities, i.e. ftdump
  instead of ft2dump, etc. ... (I renamed the utilities
  in freetype1 to ft1dump, ft1view, etc. ...
* Mon Jan 13 2003 - mfabian@suse.de
- new package ft2demos, version 2.1.3
